www.bzyk.net > liBDEvCrypto.so

liBDEvCrypto.so

libcrypto这是个库不是软件,这个包含在了软件openssl中,所以你需要安装的是openssl

缺少libcrypto.so.10 缺少文件一般都是重新安装 ———————————————— 希望你能采纳,你的支持是我们的动力!

提示应该是少了一些ssh所需要的库 首先: yum provides libcrypto.so.6 会出来是哪个rpm包 包含 这个lib库。 其次: yum install 这个rpm包 应该就可以解决这个报错。幸运的话,也许ssh就可以用了,一般来说估计会报缺另外一些库。再继续这个方...

服务器由于掉电开启系统后无法远程ssh,重启sshd服务弹如下图的错误: /usr/sbin/sshd:error while loading shared libraries: /usr/lib64/libcrypto.so.10: file too short 查看/usr/lib64/libcrypto.so.10发现它是链接到libcrypto.so.1.0.0

/usr/lib64/libcrypto.so.10版本太低 你这个是本机编译的么看你的环境可能有点乱了,看看那些package提供/usr/lib64/libcrypto.so.10,试着更新一下; 或者你静态链接编译你的a.out

这个库是ssl用到的一个库. 从名字上看,应该与加解密有关,可能是加解密算法的实现.

将下面的enabled=1改成enabled=0 cd /etc/yum.repos.d vi epel.repo yum install yum-plugin-replace yum replace --enablerepo=ius-archive openssl --replace-with openssl10 [root@mvxl0782 software]# ls /usr/lib64/ | grep -e ssl.so -e c...

共享库丢了。

把openssl-devel软件包安装上就有了,光盘Package目录下有: rpm -ivh openssl-devel* 或者 yum install openssl-devel

应该是版本错误吧。你看看你装的这个 openssl 提供的文件名是什么。 还有位置对不对。 Linux 的依赖问题一直不好解决,都是要靠软件包管理器进行处理的。 但前提是,你得拿来针对你系统的东西。各种乱找,不出问题才奇怪呢。

网站地图

All rights reserved Powered by www.bzyk.net

copyright ©right 2010-2021。
www.bzyk.net内容来自网络,如有侵犯请联系客服。zhit325@qq.com